---
title: 'ARIA: List role'
slug: Web/Accessibility/ARIA/Roles/List_role
tags:
  - ARIA
  - ARIA Role
  - ARIA list
  - Accessibility
  - Reference
  - Rôle
  - list
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p><span class="seoSummary">The ARIA <code>list</code> role can be used to identify a list of items. It is normally used in conjunction with the <code>listitem</code> role, which is used to identify a list item contained inside the list.</span></p>

<pre class="brush: html notranslate">&lt;section role="list"&gt;
  &lt;div role="listitem"&gt;List item 1&lt;/div&gt;
  &lt;div role="listitem"&gt;List item 2&lt;/div&gt;
  &lt;div role="listitem"&gt;List item 3&lt;/div&gt;
&lt;/section&gt;
</pre>

<h2 id="Description">Description</h2>

<p>Any content that consists of an outer container with a list of elements inside it can be identified to assistive technologies using the <code>list</code> and <code>listitem</code> containers respectively. A <code>list</code> must have one or more <code>listitem</code> children, or, alternatively, have one or more <code>group</code>s as children, with each <code>group</code> having one or more <code>listitem</code>s as children.</p>

<p>There are no hard and fast rules about which elements you should use to markup the list and list items, but you should make sure that the list items make sense in the context of a list, e.g. a shopping list, recipe steps, driving directions.</p>

<div class="warning">
<p><strong>Warning</strong>:<span class="ILfuVd yZ8quc"> If at all possible in your work, you should use the appropriate semantic HTML elements to mark up a list and its listitems — {{htmlelement("ul")}}/{{htmlelement("ol")}} and {{htmlelement("li")}}. See {{anch("Best practices")}} for a full example.</span></p>
</div>

<h3 id="Associated_WAI-ARIA_Roles_States_and_Properties">Associated WAI-ARIA Roles, States, and Properties</h3>

<dl>
 <dt><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Listitem_role">listitem</a></dt>
 <dd>
 <p>A single item in a list or directory. Elements with role listitem can only be found in an element with the role <code>list</code> or <code>group</code>.</p>
 </dd>
 <dt><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Group_role">group</a></dt>
 <dd>
 <p>A collection of related objects, limited to list items when nested in a list, not important enough to have their own place in a pages table of contents.</p>
 </dd>
</dl>

<h3 id="Keyboard_Interactions">Keyboard Interactions</h3>

<p>None.</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p> <a href="https://www.scottohara.me/blog/2018/05/26/aria-lists.html">ARIA Lists</a> — some useful examples and thoughts by Scott O'Hara</p>

<h2 id="Best_practices">Best practices</h2>

<p>Only use <code>role="list"</code> and <code>role="listitem"</code> if you have to — for example if you don't have control over your HTML but are able to improve accessibility dynamically after the fact with JavaScript.</p>

<p>Unlike the HTML<span class="ILfuVd yZ8quc"> {{htmlelement("ol")}} and {{htmlelement("ul")}}, </span>the ARIA <code>list</code> roles doesn't distinguish between ordered and unordered lists. If at all possible, you<span class="ILfuVd yZ8quc"> should use the appropriate semantic HTML elements to mark up a list ({{htmlelement("ol")}} and {{htmlelement("ul")}}) and list items ({{htmlelement("li")}}). </span><span class="ILfuVd yZ8quc"> For example, our above example should be rewritten as follows:</span></p>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;List item 1&lt;/li&gt;
  &lt;li&gt;List item 2&lt;/li&gt;
  &lt;li&gt;List item 3&lt;/li&gt;
&lt;/ul&gt;</pre>

<p>or use an ordered list if the order of the list items matters:</p>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;List item 1&lt;/li&gt;
  &lt;li&gt;List item 2&lt;/li&gt;
  &lt;li&gt;List item 3&lt;/li&gt;
&lt;/ol&gt;</pre>

<div class="note">
<p><strong>Note</strong>: The ARIA list/listitem roles don't distinguish between ordered and unordered lists.</p>
</div>

<p>As an aside, note that if you are using the semantic HTML elements of ol or ul and apply a role of <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_presentation_role">presentation</a>, each child <code>li</code> element inherits the <code>presentation</code> role because ARIA requires the <code>listitem</code> elements to have the parent <code>list</code> element. So, the <code>li</code> elements are not exposed to assistive technologies, but elements contained inside of those <code>li</code> elements, including nested lists, are visible to assistive technologies.</p>

<div class="note">
<p><strong>Note</strong>: If you are marking up a list of items that will function as a tabbed interface, you should instead use the <code>tab</code>, <code>tabpanel</code>, and <code>tablist</code> roles.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#list","list")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://wicg.github.io/aom/spec/">Accessibility Object Model</a></li>
 <li><a href="https://w3c.github.io/html-aria/">ARIA in HTML</a></li>
 <li><span class="ILfuVd yZ8quc">{{htmlelement("ul")}}</span></li>
 <li><span class="ILfuVd yZ8quc">{{htmlelement("ol")}}</span></li>
 <li><span class="ILfuVd yZ8quc">{{htmlelement("li")}}</span></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Listitem_role">ARIA: listitem role</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Group_role">ARIA: group role</a></li>
</ul>
